<div class="m-5">
<form class="login-form m-5 bg-gray-200 border-slate-950 p-5" [formGroup]="form" (ngSubmit)="createMenu()">
    <h2 class="mb-5 text-center text-2xl">Форма страви</h2>
    <div class="form-control  mb-5">
        <label  class="w-full" for="name">Назва меню</label>
        <input  class="w-full" id="name" type="text" formControlName="name">
    </div>
    <button (click)="getMenuPhoto()" pButton pRipple label="Пошук фото" type="button" class="p-button-success mb-5"></button>
    <p-image class="m-5" *ngIf="photoUrl" [src]="photoUrl" alt="Image" width="200" [preview]="true"></p-image>
    <div class="form-control">
        <label class="w-full" for="ingredients">Інгредієнти</label>
        <input class="w-full mb-5" id="ingredients" type="text" formControlName="ingredients">
    </div>
    <div class="form-control">
      <label class="w-full" for="price">Ціна</label>
      <input class="w-full mb-5" id="price" type="text" formControlName="price" >
  </div>
    <button pButton pRipple label="Створити" type="submit" class="p-button-success ml-56" [disabled]="form.invalid || submitted"></button>
</form>
</div>
